
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>php调试利器之phpdbg安装配置详解 / iVAN</title>

    <meta name="description" content="php调试利器之phpdbg安装配置详解 PHPDBG的目标是成为一个轻量级.强大.易用的PHP调试平台.可以在PHP5.4和之上版本中使用.在php5.6和之上版本将内部集成. 主要功能: – 单步调试 – 灵活的下断点方式(类方法.函数.文件:行.内存地址.opcode) – 可直接调用php的eval – 可以查看当前执行的代码 – 用户空间API(userland/user space) – 方便集成 – 支持指定php配置文件 – JIT全局变量 – readline支持(可选),终端操作更方便 – 远程debug,使用jav">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">php调试利器之phpdbg安装配置详解</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>PHPDBG的目标是成为一个轻量级、强大、易用的PHP调试平台。可以在PHP5.4和之上版本中使用。在php5.6和之上版本将内部集成。</p>
<p><strong>主要功能：</strong></p>
<p>– 单步调试<br />
– 灵活的下断点方式（类方法、函数、文件:行、内存地址、opcode）<br />
– 可直接调用php的eval<br />
– 可以查看当前执行的代码<br />
– 用户空间API（userland/user space）<br />
– 方便集成<br />
– 支持指定php配置文件<br />
– JIT全局变量<br />
– readline支持（可选），终端操作更方便<br />
– 远程debug，使用java GUI<br />
– 操作简便（具体看help）</p>
<p><strong>安装</strong></p>
<p>为了使用phpdgb，你首先需要下载一个php的源码包。然后下载phpdgb的源码包，并放在php源码包的sapi目录下。最后，你就可以执行命令安装了。编译安装示例如下：<br />
假设我们已经下载php的源码包，并放在了/home/php目录下。<br />
 </p>
<table>
<tr>
<td> 代码如下</td>
<td>复制代码</td>
</tr>
<tr>
<td colspan="2">#cd /home/php/sapi<br />
#git clone https://github.com/krakjoe/phpdbg<br />
#cd ../<br />
#./buildconf --force<br />
#./config.nice<br />
#make -j8<br />
#make install-phpdbg
</td>
</tr>
</table>
<p><strong>注意：<br /></strong>1、如果你的php版本是php5.6或者更高的版本，phpdbg已经集成在php的代码包中，无需单独下载了。<br />
2、编译参数中记得要加 –enable-phpdbg。<br />
3、编译时参数，–with-readline 可以选择性添加。如果不添加，phpdbg的history等功能无法使用。</p>
<p><strong>基本使用</strong></p>
<p><strong>参数介绍</strong></p>
<p>phpdbg是php的一个sapi，它可以以命令行的方式调试php。常用参数如下：<br />
The following switches are implemented (just like cli SAPI):<br />
-n ignore php ini<br />
-c search for php ini in path<br />
-z load zend extension<br />
-d define php ini entry<br />
The following switches change the default behaviour of phpdbg:<br />
-v disables quietness<br />
-s enabled stepping<br />
-e sets execution context<br />
-b boring – disables use of colour on the console<br />
-I ignore .phpdbginit (default init file)<br />
-i override .phpgdbinit location (implies -I)<br />
-O set oplog output file<br />
-q do not print banner on startup<br />
-r jump straight to run<br />
-E enable step through eval()<br />
Note: passing -rr will cause phpdbg to quit after execution, rather than returning to the console</p>
<p><strong>常用功能</strong></p>
<p>之前我们介绍过gdb工具。其实phpdbg和gdb功能有些地方非常相似。如，可以设置断点，可以单步执行，等。只是他们调试的语言不一样，gdb侧重于调试c或者c++语言，而phpdbg侧重于调试php语言。下面我们将对phpdbg的一些常用调试功能做下介绍。<br />
要调试的代码如下：<br />
文件test_phpdbg_inc.php源代码如下：<br />
 </p>
<table>
<tr>
<td> 代码如下</td>
<td>复制代码</td>
</tr>
<tr>
<td colspan="2">&lt;!--?php function phpdbg_inc_func(){     echo "phpdbg_inc_func n";</td>
</tr>
</table>
<p> } ?--&gt;<br />
文件test_phpdgb.php的源代码如下：<br />
 </p>
<table>
<tr>
<td> 代码如下</td>
<td>复制代码</td>
</tr>
<tr>
<td colspan="2">&lt;!--?php include(dirname(__FILE__)."/test_phpdbg_inc.php"); class demo{     public function __construct(){         echo __METHOD__.":".__LINE__."n";     }        public function func($param){         $param++;         echo "method func $paramn";     }        public function __destruct(){         echo __METHOD__.":".__LINE__."n";     }    } function func(){     $param = "ali";     $param = $param + "baba";     echo "function func $paramn";; } $demo = new demo(); $demo---&gt;func(1);<br />
func();<br />
phpdbg_inc_func();<br />
?&gt;</td>
</tr>
</table>
<p><strong>启动phpdbg</strong></p>
<p>phpdbg安装成功后，会在安装目录的bin目录下。进入bin目录，直接输入phpdbg即可。如下：<br />
 </p>
<table>
<tr>
<td> 代码如下</td>
<td>复制代码</td>
</tr>
<tr>
<td colspan="2">#phpdeg<br />
[Welcome to phpdbg, the interactive PHP debugger, v0.4.0]<br />
To get help using phpdbg type "help" and press enter<br />
[Please report bugs to &lt;http://github.com/krakjoe/phpdbg/issues&gt;]<br />
prompt&gt;
</td>
</tr>
</table>
<p>要想加载要调试的php脚本，只需要执行exec命令即可。如下：<br />
 </p>
<table>
<tr>
<td> 代码如下</td>
<td>复制代码</td>
</tr>
<tr>
<td colspan="2">#phpdbg<br />
......<br />
prompt&gt; exec ./test_phpdbg.php
</td>
</tr>
</table>
<p>当然我们也可以在启动phpdbg的时候，指定e参数。如下：</p>
<table>
<tr>
<td> 代码如下</td>
<td>复制代码</td>
</tr>
<tr>
<td colspan="2">#phpdbg -e ./test_phpdbg.php
</td>
</tr>
</table>
<p><strong>查看帮助信息</strong></p>
<p>如果你之前使用过其他的调试工具，你会发现phpdbg和他们比较相似。但是，你使用初期，还是会经常需要获取帮助信息。通过help命令我们可以获取帮助信息。<br />
 </p>
<table>
<tr>
<td> 代码如下</td>
<td>复制代码</td>
</tr>
<tr>
<td colspan="2">......<br />
prompt&gt; help<br />
 <br />
phpdbg is a lightweight, powerful and easy to use debugging platform for PHP5.4+<br />
It supports the following commands:<br />
 <br />
Information<br />
  list     list PHP source<br />
......
</td>
</tr>
</table>
<p>设置断点<br />
设置断点的命令和gdb一样。都是break，简写形式为b。不过具体的命令参数还是有所差异的。和gdb的断点命令相同之处，它们都可以“按文件名:行号” 或者 行号的方式设置断点。除此之外，phpdbg还提供了一些针对php特有的设置断点的方式。如，根据opline设置断点，根据opcode设置断点等。<br />
众所周知，php代码最终是解析成opcode，然后由php内核一条条执行。一条php语句，可能会解析成多条opcode。如果可以按opcode设置断点，我们就可以更精确的跟踪程序执行过程。下面我们来看看phapdbg设置断点的具体示例。<br />
按opline设置断点：<br />
这里所说的opline，就是以方法入口作为起点，当前代码的行号。如test_phpdgb.php文件中，第18行的代码“$param = $param + “baba”;”的opline就是 2。<br />
 </p>
<table>
<tr>
<td> 代码如下</td>
<td>复制代码</td>
</tr>
<tr>
<td colspan="2">......<br />
prompt&gt; b func#2<br />
prompt&gt; r<br />
demo::__construct:5<br />
method func 2<br />
[Breakpoint #0 resolved at func#2 (opline 0x7f5b230a2e38)]<br />
[Breakpoint #0 resolved at func#2 (opline 0x7f5b230a2e38)]<br />
[Breakpoint #0 resolved at func#2 (opline 0x7f5b230a2e38)]<br />
[Breakpoint #0 in func()#2 at ./test_phpdbg.php:18, hits: 1]<br />
&gt;00018:     $param = $param + "baba";<br />
 00019:     echo "function func $paramn";;<br />
 00020: }
</td>
</tr>
</table>
<p>......<br />
查看断点<br />
和gdb一样，phpdbg也是使用info break命令查看断点。示例如下：<br />
 <br />
....</p>
<table>
<tr>
<td> 代码如下</td>
<td>复制代码</td>
</tr>
<tr>
<td colspan="2">prompt&gt; info break<br />
------------------------------------------------<br />
File Breakpoints:<br />
#1      /home/hailong.xhl/test_phpdbg.php:10<br />
------------------------------------------------<br />
Opline Breakpoints:<br />
#0      7ff3219e1df0        (function breakpoint)<br />
------------------------------------------------<br />
Function opline Breakpoints:<br />
#0      func opline 2
</td>
</tr>
</table>
<p>....<br />
通过上面的显示，我们可以知道。info break的显示结果中会把断点的类型也给显示出来。#后面的数字是断点号。我们可以根据断点号删除断点。</p>
<p><strong>删除断点</strong></p>
<p>和gdb命令不一样。phpdbg的删除断点不是delete命令，而是break del 命令。示例如下：<br />
 </p>
<table>
<tr>
<td> 代码如下</td>
<td>复制代码</td>
</tr>
<tr>
<td colspan="2">......<br />
prompt&gt; break del 1<br />
[Deleted breakpoint #1]<br />
prompt&gt;
</td>
</tr>
</table>
<p>......<br />
break del 后面的数字1就是断点号。<br />
查看代码<br />
phpdbg查看代码的命令也是list。但是和gdb相比，使用的方式更多样一些。<br />
显示指定函数的代码：<br />
 </p>
<table>
<tr>
<td> 代码如下</td>
<td>复制代码</td>
</tr>
<tr>
<td colspan="2">
<br />
......<br />
prompt&gt; l f func<br />
 00017:     $param = "ali";<br />
 00018:     $param = $param + "baba";<br />
 00019:     echo "function func $paramn";;<br />
 00020: }<br />
 00021:<br />
prompt&gt;
</td>
</tr>
</table>
<p>......<br />
单步执行<br />
phpdbg的单步执行只有一个命令 step。和gdb的step命令差不多。都是一行一行的执行代码。注意，phpdbg是没有next命令的。<br />
 <br />
....</p>
<table>
<tr>
<td> 代码如下</td>
<td>复制代码</td>
</tr>
<tr>
<td colspan="2">prompt&gt; s<br />
[Breakpoint #0 resolved at func#2 (opline 0x152ba40)]<br />
[L19           0x152ba70 ZEND_ADD_STRING          C2      @0    ./test_phpdbg.php]<br />
&gt;00019:     echo "function func $paramn";;<br />
 00020: }<br />
 00021:
</td>
</tr>
</table>
<p>....<br />
继续执行<br />
和gdb一样，phpdbg的继续执行命令也是continue，简写形式为c。<br />
执行php代码<br />
这个是phpdbg的一个特色。可以在调试的过程中使用ev命令执行任意的php代码。如：<br />
 </p>
<table>
<tr>
<td> 代码如下</td>
<td>复制代码</td>
</tr>
<tr>
<td colspan="2">......<br />
prompt&gt; ev $var = "val";<br />
val<br />
prompt&gt; ev var_dump($var);<br />
string(3) "val"
</td>
</tr>
</table>
<p>......<br />
可以通过这种方式，在调试过程中动态的修改变量值，查看执行效果。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 07:07:51</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%96%87%e4%bb%b6/" title="文件">文件</a>, <a href="https://www.iamivan.net/tag/%e4%bb%a3%e7%a0%81/" title="代码">代码</a>, <a href="https://www.iamivan.net/tag/%e5%8f%82%e6%95%b0/" title="参数">参数</a>, <a href="https://www.iamivan.net/tag/%e7%bc%96%e8%af%91/" title="编译">编译</a>, <a href="https://www.iamivan.net/tag/%e6%96%ad%e7%82%b9/" title="断点">断点</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>php调试利器之phpdbg安装配置详解的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pXKKxKM.html" rel="bookmark">深入分析redis cluster 集群安装配置详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Redis 集群是一个提供在多个Redis间节点间共享数据的程序集.redis3.0以前,只支持主从同步的,如果主的挂了,写入就成问题了.3.0出来后就可以很好帮我们解决这个问题. 目前redis 3.0还不稳定,如果要用在生产环境中,要慎重. 一,redis服务器说明 192.168.10.219 6379  192.168.10.219 6380  192.168.10.219 6381    192.168.10.220 6382  192.168.10.220 6383  192.168			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQYRgZb.html" rel="bookmark">Redis 对比 Memcached 并在 CentOS 下进行安装配置详解&lowbar;Redis</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Redis 是一个开源.支持网络.基于内存.键值对的 Key-Value 数据库,本篇文章主要介绍了Redis 对比 Memcached 并在 CentOS 下进行安装配置详解,有兴趣的可以了解一下. 了解一下 Redis Redis 是一个开源.支持网络.基于内存.键值对的 Key-Value 数据库,使用 ANSI C 编写,并提供多种语言的 API ,它几乎没有上手难度,只需要几分钟我们就能完成安装工作,并让它开始与应用程序顺畅协作.换句话来说,只需投入一小部分时间与精力,大家就能获得立竿			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pkeZV1b.html" rel="bookmark">php调试利器之phpdbg</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				简介 PHPDBG是一个PHP的SAPI模块,可以在不用修改代码和不影响性能的情况下控制PHP的运行环境. PHPDBG的目标是成为一个轻量级.强大.易用的PHP调试平台.可以在PHP5.4和之上版本中使用.在php5.6和之上版本将内部集成. 主要功能: - 单步调试 - 灵活的下断点方式(类方法.函数.文件:行.内存地址.opcode) - 可直接调用php的eval - 可以查看当前执行的代码 - 用户空间API(userland/user space) - 方便集成 - 支持指定php配			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ba669mM.html" rel="bookmark">Winodws2003中IIS6配置PHP环境FastCGI的安装配置详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				我们知道php配置有几种: 1.CGI方式加载PHP环境,通常就是IIS里面配置解释器为php.exe,早期比较常见,目前使用较少. 特点是:稳定,但效率太低. 2.ISAPI方式加载PHP环境,通常就是IIS里面配置解释器为php5isapi.dll,目前使用最多,应用最广. 特点是:多线程,效率较高,但不够稳定. 3.FastCGI方式加载PHP环境,在IIS环境里并不常见,但其它系统环境应用还是有的,不过IIS7.0开始内置FastCGI了. 特点是:高效率,高稳定性,属于将来发展趋势.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ba7DlJp.html" rel="bookmark">Git 教程之安装配置详解&lowbar;相关技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Git 安装配置 在使用Git前我们需要先安装 Git.Git 目前支持 Linux/Unix.Solaris.Mac和 Windows 平台上运行. Git 各平台安装包下载地址为:http://git-scm.com/downloads Linux 平台上安装 Git 的工作需要调用 curl,zlib,openssl,expat,libiconv 等库的代码,所以需要先安装这些依赖工具. 在有 yum 的系统上(比如 Fedora)或者有 apt-get 的系统上(比如 Debian 体系			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDngEBM.html" rel="bookmark">PHP Opcache&lpar;ZendOptimizerPlus&rpar;的安装配置详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				配置 编辑 php.ini #以下是开发组推荐配置 zend_extension=opcache.so opcache.enable_cli=1 opcache.memory_consumption=128 //共享内存大小, 这个根据你们的需求可调 opcache.interned_strings_buffer=8 //interned string的内存大小, 也可调 opcache.max_accelerated_files=4000 //最大缓存的文件数目 opcache.revalid			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MAkwPnz.html" rel="bookmark">Linux系统Memcache安装配置详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				安装Memcached服务端 memcached依赖于libevent,需要先安装libevent. 安装 libevent # tar zxvf libevent-2.0.21-stable.tar.gz # cd libevent-2.0.21-stable # ./configure --prefix=/usr/local/libevent # make &amp;&amp; make install 安装memcached服务端 # wget http://www.memcached.org/fi			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M9Wld3z.html" rel="bookmark">ElasticSearch安装配置详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Elasticsearch最少需要Java 7版本,在本文写作时,推荐使用Oracle JDK 1.8.0_73版本.Java的安装和平台有关,所以本文并不打算介绍如何在各个平台上安装Java.在你安装ElasticSearch之前,先运行以下的命令检查你Java的版本: java -version echo $JAVA_HOME 一旦我们将 Java 安装完成, 我们就可以下载并安装 Elasticsearch 了.二进制安装包可以通过 www.elastic.co/downloads网站下载			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5Nkraz.html" rel="bookmark">Hive on Spark安装配置详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				可进入我的博客查看原文. 简介 本文主要记录如何安装配置Hive on Spark,在执行以下步骤之前,请先确保已经安装Hadoop集群,Hive,MySQL,JDK,Scala,具体安装步骤不再赘述. 背景 Hive默认使用MapReduce作为执行引擎,即Hive on mr.实际上,Hive还可以使用Tez和Spark作为其执行引擎,分别为Hive on Tez和Hive on Spark.由于MapReduce中间计算均需要写入磁盘,而Spark是放在内存中,所以总体来讲Spark比Ma			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/5zOw4kz.html" rel="bookmark" class="title">itunes-ipa在iphone上安装失败</a>
					<div>
						问题描述 ipa在iphone上安装失败 用xcode打的包,iphone未越狱,用itunes安装,手机上圈转到大概75%itunes就没反应了,然后手机上的ipa一直处于正在安装状态.是什么原因					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YbKPZWM.html" rel="bookmark" class="title">土人AS入门教程对象篇</a>
					<div>
						对象|教程|入门教程 虽然AS不是真正的面向对象的编程,但是它也有对象的概念.这个概念贯穿整个AS的始终,所以,对对象的理解,比对语法或者其他的理解更为重要.现在开始吧: 首先,我们来了解一下路径,路 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMg2kBb.html" rel="bookmark" class="title">用VB创建B&sol;S程序</a>
					<div>
						随着Windows 95中文版和Windows NT Server 4.0中文版的流行, Microsoft公司推出了相应平台上 的开发软件: Visual Basic 5.0 中文企业 版.它为Wi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze4ZBOp.html" rel="bookmark" class="title">C&plus;&plus;builder编程修改注册表的问题</a>
					<div>
						RootKey是注册表的根键值,比如运行regedit后看到的HKEY_USERS,HKEY_LOCAL_MACHINE就是RootKey,在TRegIniFile中缺省的RootKey是HKEY_U ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvKLR8p.html" rel="bookmark" class="title">C&plus;&plus; Builder中利用组件传送文件</a>
					<div>
						在Borland C++ Builder中,使用NMStrmServ和NMStrm组件可以很容易地在两台电脑之间传递文件.当然,你也可以使用基于FTPJ协议的文件传输组件NMFTP,但使用NMStrm ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVnywVz.html" rel="bookmark" class="title">掌握C&plus;&plus; builder的除错艺术&lpar;1&rpar;</a>
					<div>
						第一篇-正确书写代码 1.简介 2.书写干净的代码 3.使用异常及异常处理能力 4.使用记录(logging)机制 5.结合使用记录机制与类的异常处理机制 6.处理您代码外产生的异常 7.你的回合 8 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZO6Q5b.html" rel="bookmark" class="title">wallpaper engine成就怎么达成</a>
					<div>
						  达成攻略: 上传类成就 如图,分别有四个: 1.上传一个场景壁纸(2D.3D) 2.上传一个视频壁纸 3.上传一个web类壁纸 4.上传一个应用类壁纸 前两个好说,谁的电脑都有点小视频(不是那种小 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVnjRVz.html" rel="bookmark" class="title">mysql与mysqli的区别与用法</a>
					<div>
						  mysql与mysqli的区别与用法 mysql是非持继连接函数而mysqli是永远连接函数.也就是说 mysql每次链接都会打开一个连接的进程而mysqli多次运行mysqli将使用同一连接进程 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk2o1rM.html" rel="bookmark" class="title">WPS文字技巧：简历模板助求职</a>
					<div>
						一系列求职模板,大家可以通过简历模板轻松完成简历内容制作和排版设计,其中简洁的一页简历模板已经突破下载超过9万次. 用户只需登录WPS Office官网模板下载频道http://www.wps.cn/ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyrN3kp.html" rel="bookmark" class="title">Win8&period;1在文件资源管理器中搜索Word文档的方法</a>
					<div>
						  Win8.1在文件资源管理器中搜索Word文档的方法           具体方法如下: 1.打开文件资源管理器,例如打开E盘,右上角会有搜索框; 2.现在想搜索文件,在搜索框中输入搜索的内容,可 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0PeR7M.html" rel="bookmark" class="title">网络组建基础必备&colon;网线制作</a>
					<div>
						  交叉网线用于ADSL MODEM和集线器HUB的连接(与MODEM设计有关系,并非全部如此),HUB与HUB之间不通过级连口的连接,以及两台计算机直接通过网卡相互连接.制作方法和上面基本相同,只是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQN3ZKM.html" rel="bookmark" class="title">Photoshop给美女照片详细的美白和磨皮</a>
					<div>
						利用photoshop进行磨皮美白多种多样,不同程度的照片也需要不同的方法来处理,本例中的原图相对质量较差,斑点较多,覆盖面较大,这时候纯的通过图层计算的方法较难达到理想效果,本次将通过具体的弥补方式 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBKGaKM.html" rel="bookmark" class="title">怎样在多个Excel工作表中快速跳转指定表</a>
					<div>
						  这个方法肯定是有的,至于怎么做,那就要看看下面的教程怎么说吧! 1.先来看一下,我建立了很多工作表,大概有十几个       2.在左下角有一个绿色小三角,点击这里可以切换不同的工作表,你左键点击 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pP81d8p.html" rel="bookmark" class="title">win7系统怎么恢复出厂设置呢</a>
					<div>
						  对于,电脑系统出厂设置的恢复,我们有下面几种方法.首先第一种方法是当我们在开机后不要着急进行其他的操作,进入系统前,长按F8按钮,进入Win7的高级启动选项,选择修复计算机这样的选项.然而有一点我 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQNO0wM.html" rel="bookmark" class="title">qq音乐2015怎么取消在qq上显示</a>
					<div>
						  1.打开QQ系统设置:如图 2.进入qq系统设置界面我们选择权限设置:如图 3.在权限设置的左侧我们选择 个人状态:如图 4.我们在右侧可以看到很多选项:如图 5.在个人状态里面,将我正在播放的音 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAreWXp.html" rel="bookmark" class="title">网页打不开的原因及解决方法</a>
					<div>
						为什么网页打不开?关于这个常见的网页浏览故障困惑了不少的新手朋友,其实要解决网页打不开,查找根本原因显得最为关键.今天笔者将结合自己的工作经验为大家介绍下为什么网页打不开?网页打不开的原因及解决方法, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEWV83p.html" rel="bookmark" class="title">Kindle个人文档服务</a>
					<div>
						http://www.amazon.cn/gp/help/customer/display.html/ref=kinw_myk_wl_ln?ie=UTF8&amp;nodeId=200767340#p ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvGg0Ap.html" rel="bookmark" class="title">PostgreSQL 逻辑订阅 - 给业务架构带来了什么希望？</a>
					<div>
						标签 PostgreSQL , 逻辑订阅 , 10.0 , 数据汇聚 , 数据共享 , IDC多活 , 云端线下同步 背景 逻辑订阅是PostgreSQL 10.0的新特性. 具体的原理,使用方法可以 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXjDvKb.html" rel="bookmark" class="title">IE依然是用户使用范围最广的浏览器</a>
					<div>
						[科技讯]10月2日消息,根据市场研究机构NetApplications的最新数据显示,9月微软的IE依然是用户使用范围最广的浏览器,占市场份额的57.02%. 在市场份额方面,IE10浏览器占据了1 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqA9v3M.html" rel="bookmark" class="title">自定义-flex4 监听变量value的改变</a>
					<div>
						问题描述 flex4 监听变量value的改变 我自定义了一个组件里面包含一个 我怎么通过传过来的变量值来达到切换图片的功能 求科普					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6N1QLM.html" rel="bookmark" class="title">调优-10万并发的服务器应该怎么构建？</a>
					<div>
						问题描述 10万并发的服务器应该怎么构建? 求大神帮忙,公司老大说要我构建一个10万并发的服务器,小弟我是一窍不通阿,是不是应该从&quot;应用服务器,应用程序,带宽,和数据库&quot;来考虑?应 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOlyAxb.html" rel="bookmark" class="title">servlet</a>
					<div>
						问题描述 运行java类是从main方法开始,用servlet写的java项目是从哪开始运行的啊 解决方案 解决方案二:service它会根据你的访问类型(get或者post)调用doget或者dop ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm6akBz.html" rel="bookmark" class="title">vmware配置虚拟机运行问题</a>
					<div>
						问题描述 vmware配置虚拟机运行问题 解决方案 应该是bios禁用了虚拟化,重启机子,按F10或F12进入bios,选System Settings或者System Configuration,选 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgRAWAb.html" rel="bookmark" class="title">谷歌启动流量检测网站 帮助家庭用户查看网速</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 北京时间1月29日消息,据国外媒体报道,谷歌周三表示,已联合两家美国非盈利机构启动了一家名为Measurement Lab(以下简称&quot;M-La ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mrqvxxb.html" rel="bookmark" class="title">大数据相关总结（待续）</a>
					<div>
						&quot;区块链&quot;.文本分析.hadoop.lucence 文本分析是说词性分形, 分词应该是搜索引擎中的分词器  比如现在最常用的是ik  原来的是庖丁 需要做分词索引: eg:你干嘛呢 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK5mmnp.html" rel="bookmark" class="title">忙碌的CIO：搞科技的人一夜之间全部变成了公司的决策者</a>
					<div>
						根据我的同事针对IBM的调查,我们可以观察到有几个重要的信息.第一,可以观察到跨界的精整越来越重要:第二,创新是很重要的差异化.由此带来我们对创新的思考,有没有哪些个案可以借鉴?另外,关于创新,科技是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBg4d9M.html" rel="bookmark" class="title">图片-VS2010配置opencv2&period;2&period;0，运行时总是闪退</a>
					<div>
						问题描述 VS2010配置opencv2.2.0,运行时总是闪退 我给VS2010配置opencv2.2.0,我就按网上的教程配置的,可以生成程序,但是总出现Cannot find or open t ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGZvJkp.html" rel="bookmark" class="title">php绘图之在图片上写中文和英文的方法&lowbar;php技巧</a>
					<div>
						本文实例讲述了php绘图之在图片上写中文和英文的方法.分享给大家供大家参考.具体如下: 第一种方法,只能写英文,中文会出现乱码 复制代码 代码如下: &lt;?php //1.创建画布 $im = i ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M60RZgz.html" rel="bookmark" class="title">memcached  能否实现分页功能</a>
					<div>
						问题描述 将数据库中读到的数据放在memcached中我要从memcached中获得这些数据要在jsp页面上分页显示memcached读到的数据分页怎么弄阿高手指教指教阿 解决方案 解决方案二:你要多 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAEo6eM.html" rel="bookmark" class="title">350亿狂欢背后的痛&colon;小卖家囤货过多无奈割肉</a>
					<div>
						双十一http://www.aliyun.com/zixun/aggregation/7869.html&quot;&gt;电商大战硝烟散尽,天猫当天创下的350亿销售额让人惊叹,但&quot;剁手族 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
